{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"You can list companies. The company list is sorted by the `last_request_at` field and by default is ordered descending, most recently requested first.\n\nNote that the API does not include companies who have no associated users in list responses.\n\nWhen using the Companies endpoint and the pages object to iterate through the returned companies, there is a limit of 10,000 Companies that can be returned. If you need to list or iterate on more than 10,000 Companies, please use the [Scroll API](https://developers.intercom.com/reference#iterating-over-all-companies). Going past that limit returns a `400` error with code `bad_request`.\n{% admonition type=\"warning\" name=\"Pagination\" %}\n  This endpoint pages by page number, not by cursor. Use the `page` and `per_page` query parameters, and the `page`, `total_pages` and `next` values in the `pages` object of the response. The default is `15` results per page.\n  See the [pagination section](https://developers.intercom.com/docs/build-an-integration/learn-more/rest-apis/pagination/#pagination-for-list-apis) for more details.\n{% /admonition %}\n\nRequires the `write_users_companies` OAuth scope. A token with only read scopes cannot call this endpoint.\n","properties":{"headers":{"type":"object","properties":{"Intercom-Version":{"$ref":"#/definitions/intercom_version","enum":["2.17"]}},"required":[],"additionalProperties":false},"query":{"type":"object","properties":{"page":{"type":"integer","examples":[1],"description":"The page of results to fetch. Defaults to first page"},"per_page":{"type":"integer","maximum":60,"examples":[15],"description":"How many results to return per page. Defaults to 15. A value above 60 returns a `400` error with code `parameter_invalid`."},"order":{"type":"string","enum":["asc","desc"],"examples":["desc"],"description":"`asc` or `desc`. Return the companies in ascending or descending order. Defaults to desc. Any other value returns a `400` error with code `parameter_invalid`."}},"required":[],"additionalProperties":false}},"required":[],"additionalProperties":false,"definitions":{"intercom_version":{"description":"Intercom API version.</br>If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.","type":"string","enum":["1.0","1.1","1.2","1.3","1.4","2.0","2.1","2.2","2.3","2.4","2.5","2.6","2.7","2.8","2.9","2.10","2.11","2.12","2.13","2.14","2.15","2.16","2.17"],"examples":["2.17"]}}},"name":"List all companies","id":"intercom.listallcompanies","example":{},"maxRequests":1,"summary":false}}